Old Projects now display error 404

2008-05-23 01:30 - Louis Delacretaz

Status: Closed Start date: 2008-05-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I upgraded from Redmine 6.4 to ver 7.0 and now existing projects urls

which incorporate project identifiers display "error 404 - page not found"

If I manually type the url utilising the id everything works ok.

new projects work fine.

How can I upgrade my old projects?

History

#1 - 2008-05-23 16:26 - Jean-Philippe Lang

Actually, there's nothing to do to upgrade old projects. It seems to be a bug and I can't reproduce it.

Does this problem occur with any url which contains an old project identifier ?

Could you give an example of an url that gives a 404 (with a real project identifier) and one that works.

Also, give me your exact database and rails versions please.

#2 - 2008-05-26 09:17 - Louis Delacretaz

my very first project (id 1, identifier test1) still works, none of the others which are all

subjects of the second project work. Using the id is fine.

http://red.rahu.loc/projects/show/4004     404 The page ...doesn't exist or has been removed.

http://red.rahu.loc/projects/show/12   works,  click on news to get served

http://red.rahu.loc/projects/4004/news   error 404 as above, but if I enter

http://red.rahu.loc/projects/12/news     looks like it should

new project being a helpdesk with an identifier cdhelp & id 17

http://red.rahu.loc/projects/show/cdhelp        works fine

Admin info says 0.7.0 (MySql), rails version 2.0.2

#3 - 2008-05-26 16:56 - Jean-Philippe Lang

The problem is that your identifiers shouldn't be numeric. They should at least contain a letter.

http://red.rahu.loc/projects/show/4004 => will look for the project with id 4004

http://red.rahu.loc/projects/show/test1 => will look for the project with identifier test1

I'll add a validation rule to ensure that projects can not be created with a numeric identifier.

In your case, the only way to fix it is to manually change the project identifiers in your database (eg. replace 4004 with p4004 or anything with at least

a letter). Of course, don't change their ids.

#4 - 2008-05-28 03:39 - Louis Delacretaz

- Status changed from New to Resolved

thanks, that fixed my problem

#5 - 2008-05-28 15:49 - Thomas Lecavelier

- Status changed from Resolved to Closed

Reporter declared issue solved.
